TSMIMEHDRFIELDAPPEND(3ts)

NAME
TSMimeHdrFieldAppend - TSMimeHdrFieldAppend API function

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSMimeHdrFieldAppend(TSMBuffer bufp, TSMLoc hdr, TSMLoc field)

DESCRIPTION

Returns the TSMLoc location of a specified MIME field from within the MIME header located at hdr.

The retrieved_str parameter specifies which field to retrieve. For each MIME field in the MIME header, a pointer comparison is done between the field name and retrieved_str. This is a much quicker retrieval function than TSMimeHdrFieldFind() since it obviates the need for a string comparison. However, retrieved_str must be one of the predefined field names of the form TS_MIME_FIELD_XXX for the call to succeed. Release the returned TSMLoc handle with a call to TSHandleMLocRelease().

COPYRIGHT
2018, dev@trafficserver.apache.org